Subject: Re: linux-next: Please add mlx5-next tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 18 Jun 2018 08:07:59 +1000

Hi Leon,

On Sun, 17 Jun 2018 21:52:53 +0300 Leon Romanovsky <[email-masked]> wrote:
>
> On Sun, Jun 10, 2018 at 08:41:28AM +0300, Leon Romanovsky wrote:
> > On Fri, Jun 08, 2018 at 07:47:26AM +1000, Stephen Rothwell wrote:  
> > > Hi Leon,
> > >
> > > On Wed, 6 Jun 2018 22:25:00 +0300 Leon Romanovsky <[email-masked]> wrote:  
> > > >
> > > > Can you please add the branch "mlx5-next" from the following tree to the
> > > > linux-next integration tree?
> > > >
> > > > https://git.kernel.org/pub/scm/linux/kernel/git/mellanox/linux.git/
> > > >
> > > > The mlx5-next branch is used to send shared pull requests to both netdev
> > > > and RDMA subsystems and it is worth to have linux-next coverage on it
> > > > before.  
> > >
> > > I try hard not to add new trees during the merge window, sorry.  If I
> > > forget to add it after -rc1 has been released, please remind me.  
> >
> > Thanks Stephen, I'll do.
> >  
> 
> This is reminder.

I have added it from today.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]